# Changelog

<!-- <START NEW CHANGELOG ENTRY> -->

## 2.0.0a1

([Full Changelog](https://github.com/jupyter-book/jupyter-book/compare/v2.0.0a0...5b2af435b1720298c1b411d510064167d0e662a0))

### Bugs fixed

- 🪢 Loosen PyPI dependencies for nodeenv etc. [#2295](https://github.com/jupyter-book/jupyter-book/pull/2295) ([@agoose77](https://github.com/agoose77))

### Maintenance and upkeep improvements

- 🤜 Bump version to 2.0.0a1 [#2297](https://github.com/jupyter-book/jupyter-book/pull/2297) ([@agoose77](https://github.com/agoose77))

### Documentation improvements

- 🔰 Add badge to docs [#2286](https://github.com/jupyter-book/jupyter-book/pull/2286) ([@agoose77](https://github.com/agoose77))
- 🖼️ Fix path to images in README [#2285](https://github.com/jupyter-book/jupyter-book/pull/2285) ([@agoose77](https://github.com/agoose77))
- 🐝 Fix reference to `ctx` for role plugins [#2270](https://github.com/jupyter-book/jupyter-book/pull/2270) ([@agoose77](https://github.com/agoose77))
- ✏️ Add authoring and admonition instructions [#2269](https://github.com/jupyter-book/jupyter-book/pull/2269) ([@choldgraf](https://github.com/choldgraf))
- 🔌 Add how-to for plugin dependencies [#2266](https://github.com/jupyter-book/jupyter-book/pull/2266) ([@choldgraf](https://github.com/choldgraf))
- 🔌 Add a plugin tutorial [#2264](https://github.com/jupyter-book/jupyter-book/pull/2264) ([@choldgraf](https://github.com/choldgraf))
- 📕 Show how you can programmatically include content [#2256](https://github.com/jupyter-book/jupyter-book/pull/2256) ([@choldgraf](https://github.com/choldgraf))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-book/jupyter-book/graphs/contributors?from=2024-11-15&to=2025-01-14&type=c))

[@agoose77](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Aagoose77+updated%3A2024-11-15..2025-01-14&type=Issues) | [@choldgraf](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Acholdgraf+updated%3A2024-11-15..2025-01-14&type=Issues)

<!-- <END NEW CHANGELOG ENTRY> -->

## 2.0.0a0

([Full Changelog](https://github.com/jupyter-book/jupyter-book/compare/2.0-first-commit...62d51da689ee657020ba6048fbb14ecef283e51b))

### Enhancements made

- ✏️ Hardcode binary name [#2253](https://github.com/jupyter-book/jupyter-book/pull/2253) ([@agoose77](https://github.com/agoose77))
- 🪐 Make jupyter a dependency [#2245](https://github.com/jupyter-book/jupyter-book/pull/2245) ([@agoose77](https://github.com/agoose77))
- ⚙️ Add support for `nodeenv`, and build JS CLI [#2219](https://github.com/jupyter-book/jupyter-book/pull/2219) ([@agoose77](https://github.com/agoose77))

### Bugs fixed

- 🐜 Fix reference to deleted directives [#2251](https://github.com/jupyter-book/jupyter-book/pull/2251) ([@agoose77](https://github.com/agoose77))

### Maintenance and upkeep improvements

- 📝 Add simple CI testing of CLI version [#2262](https://github.com/jupyter-book/jupyter-book/pull/2262) ([@agoose77](https://github.com/agoose77))
- 📦 Install before clean during release [#2261](https://github.com/jupyter-book/jupyter-book/pull/2261) ([@agoose77](https://github.com/agoose77))
- 🛠️ Set up Node.js version handling [#2260](https://github.com/jupyter-book/jupyter-book/pull/2260) ([@agoose77](https://github.com/agoose77))
- :rock: Bump version to 2.0.0a0 [#2258](https://github.com/jupyter-book/jupyter-book/pull/2258) ([@agoose77](https://github.com/agoose77))
- 🤖 Add jupyter releaser [#2257](https://github.com/jupyter-book/jupyter-book/pull/2257) ([@agoose77](https://github.com/agoose77))
- 🖇️ Use shared config in docs [#2243](https://github.com/jupyter-book/jupyter-book/pull/2243) ([@agoose77](https://github.com/agoose77))
- ❄️ Add Nix devshell flake [#2221](https://github.com/jupyter-book/jupyter-book/pull/2221) ([@agoose77](https://github.com/agoose77))

### Documentation improvements

- ✏️ Remove references to executablebooks [#2255](https://github.com/jupyter-book/jupyter-book/pull/2255) ([@choldgraf](https://github.com/choldgraf))
- 🌍 Add documentation about plugin origin [#2252](https://github.com/jupyter-book/jupyter-book/pull/2252) ([@agoose77](https://github.com/agoose77))
- ✨ Iterate on `next` docs [#2250](https://github.com/jupyter-book/jupyter-book/pull/2250) ([@agoose77](https://github.com/agoose77))
- ❔ Add tutorials to Jupyter Book 2.0 docs [#2249](https://github.com/jupyter-book/jupyter-book/pull/2249) ([@choldgraf](https://github.com/choldgraf))
- 💼 More docs improvements [#2248](https://github.com/jupyter-book/jupyter-book/pull/2248) ([@agoose77](https://github.com/agoose77))
- 📙 Next documentation improvements [#2244](https://github.com/jupyter-book/jupyter-book/pull/2244) ([@agoose77](https://github.com/agoose77))
- 🖇️ Use shared config in docs [#2243](https://github.com/jupyter-book/jupyter-book/pull/2243) ([@agoose77](https://github.com/agoose77))
- 🔗 Fix GitHub URL [#2241](https://github.com/jupyter-book/jupyter-book/pull/2241) ([@agoose77](https://github.com/agoose77))
- 🖇️ Use shared config for myst.yml [#2240](https://github.com/jupyter-book/jupyter-book/pull/2240) ([@agoose77](https://github.com/agoose77))
- 📔 Add note about 2.0 to README [#2224](https://github.com/jupyter-book/jupyter-book/pull/2224) ([@agoose77](https://github.com/agoose77))
- ⚙️ Drop `BASE_URL` in GitHub Pages [#2223](https://github.com/jupyter-book/jupyter-book/pull/2223) ([@agoose77](https://github.com/agoose77))
- 📔 Simplify readme [#2222](https://github.com/jupyter-book/jupyter-book/pull/2222) ([@agoose77](https://github.com/agoose77))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-book/jupyter-book/graphs/contributors?from=2024-03-19&to=2024-11-15&type=c))

[@agoose77](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Aagoose77+updated%3A2024-03-19..2024-11-15&type=Issues) | [@choldgraf](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Acholdgraf+updated%3A2024-03-19..2024-11-15&type=Issues) | [@codecov](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Acodecov+updated%3A2024-03-19..2024-11-15&type=Issues) | [@jmshea](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Ajmshea+updated%3A2024-03-19..2024-11-15&type=Issues) | [@LoicGrobol](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3ALoicGrobol+updated%3A2024-03-19..2024-11-15&type=Issues) | [@psychemedia](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Apsychemedia+updated%3A2024-03-19..2024-11-15&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-book%2Fjupyter-book+involves%3Awelcome+updated%3A2024-03-19..2024-11-15&type=Issues)
