---
title: Glossary
---

:::{glossary}
Legacy Book
: A Jupyter Book written for use with the Sphinx-based Jupyter Book 1 tools.

New Book
: A Jupyter Book written for use with this project, the MyST-MD-based Jupyter Book 2 tool.

Hidden Files
: In Unix-like operating systems, files or folders with names that start with a dot (e.g. `.foo.txt`), are treated as "hidden" in most applications.

Structured Data
: A representation of rich markup that computer programs can easily understand and manipulate.

Environment Manager
: Environment managers like `virtualenv` and `conda` help to keep software from different projects isolated from one another, reducing the risk of one package breaking another.

Deterministic Ordering
: An order that is not random or dependent upon e.g. the computer running a piece of code.

Abstract Syntax Tree
: A way of structuring and labeling documents according to a specification to ensure consistent behavior. The MyST document engine [defines its own document specification](https://mystmd.org/spec), and all MyST documents are first built into ASTs before being rendered into output formats (like HTML, PDF, etc).

AST
: See {term}`Abstract Syntax Tree`.
:::
