---
title: Get Started
subtitle: Take your first steps with Jupyter Book.
---

Jupyter Book is [a distribution of the MyST Document Engine](https://mystmd.org).
Every Jupyter Book is also a MyST project, and _building a Jupyter Book_ means _building a MyST project_.
In fact, if you're a power user and prefer a more flexible and less-opinionated workflow, we suggest you use the MyST engine directly!

For learning how to use Jupyter Book, this site will step you through **high-level concepts**, **tutorials for step-by-step learning**, and **how-to guides to get things done**. It will focus on use-cases for multi-document projects, like **community knowledge bases** and **multi-page books**.[^diataxis]

[^diataxis]: The Jupyter Book and MyST documentation follow [the Diataxis documentation framework](https://diataxis.fr). Within that framework, we aim for jupyterbook.org to contain **tutorials** and **how-to guides**, and the [MyST guide](xref:guide) to focus on **reference documentation** and **deeper explanation**.

:::{tip} This documentation is a _work in progress_
More comprehensive documentation on the underlying MyST Engine, or for specific use-cases like **single-page articles**, can be found at [the MyST Guide](xref:guide).
:::


::::{grid} 1 2 2 2
:::{card} Get started 🆕
:link: /start
:footer: Get started with Jupyter Book »

The **Get Started** guide covers basic steps to learn the basics of using Jupyter Book.
:::
:::{card} Tutorials 🎓
:link: /tutorial.website
:footer: See the first tutorial »

The **Tutorials** cover key workflows and concepts in more depth.
:::
:::{card} How To Guides 💡
:link: /execute/generate-myst
:footer: See the how-to page »

The **Tutorials** cover key workflows and concepts in more depth.
:::
:::{card} Reference ℹ️
:link: https://mystmd.org/guide
:footer: Go to the MyST Guide »

The MyST Guide is the **reference** for the full-suite of features provided by the MyST Engine that powers Jupyter Book.
:::
::::
